// Make Enzyme functions available in all test files without importing
import Enzyme from 'enzyme';
import Adapter from 'enzyme-adapter-react-16';
import renderer from 'react-test-renderer';
import raf from 'raf';

raf.polyfill();


Enzyme.configure({ adapter: new Adapter() });

global.shallow = Enzyme.shallow;
global.render = Enzyme.render;
global.mount = Enzyme.mount;
global.renderer = renderer;
global.should = require('chai').should();
global.expect = require('chai').expect;

// Fail tests on any warning
console.error = message => {
  throw new Error(message);
};
