'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _getClassName2 = require('babel-plugin-react-css-modules/dist/browser/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _styleModuleImportMap = {
  './item.scss': {
    'base': 'flive_item_base',
    'primary': 'flive_item_primary',
    'night-blue': 'flive_item_night-blue',
    'white': 'flive_item_white',
    'lastItem': 'flive_item_lastItem'
  }
};

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Item = function Item(_ref) {
  var className = _ref.className,
      component = _ref.component,
      isLastChild = _ref.isLastChild,
      variant = _ref.variant,
      rest = _objectWithoutProperties(_ref, ['className', 'component', 'isLastChild', 'variant']);

  var Comp = component;
  return _react2.default.createElement(Comp, _extends({}, rest, {
    className: (className ? className + ' ' : '') + (0, _getClassName3.default)((0, _classnames2.default)('base', variant, {
      lastItem: isLastChild
    }), _styleModuleImportMap)
  }));
};

Item.propTypes = {
  /** @ignore */
  className: _propTypes2.default.string,
  component: _propTypes2.default.node,
  isLastChild: _propTypes2.default.bool,
  variant: _propTypes2.default.string
};

Item.defaultProps = {
  className: undefined,
  component: 'a',
  isLastChild: false,
  variant: 'primary'
};

Item.componentName = 'BreadCrumbItem';

exports.default = Item;
module.exports = exports['default'];