'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _getClassName2 = require('babel-plugin-react-css-modules/dist/browser/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Media = require('../../Media');

var _Media2 = _interopRequireDefault(_Media);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _styleModuleImportMap = {
  './card-banner.scss': {
    'banner-wrapper': 'flive_card-banner_banner-wrapper',
    'banner--vertical': 'flive_card-banner_banner--vertical',
    'banner--horizontal-sm': 'flive_card-banner_banner--horizontal-sm',
    'banner--horizontal-md': 'flive_card-banner_banner--horizontal-md',
    'banner--horizontal-lg': 'flive_card-banner_banner--horizontal-lg',
    'banner--padded': 'flive_card-banner_banner--padded'
  }
};

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var CardBanner = function CardBanner(_ref) {
  var _classNames;

  var className = _ref.className,
      horizontal = _ref.horizontal,
      padded = _ref.padded,
      size = _ref.size,
      props = _objectWithoutProperties(_ref, ['className', 'horizontal', 'padded', 'size']);

  return _react2.default.createElement(_Media2.default, _extends({}, props, {
    className: (className ? className + ' ' : '') + (0, _getClassName3.default)((0, _classnames2.default)((_classNames = {
      'banner--vertical': !horizontal
    }, _defineProperty(_classNames, 'banner--horizontal-' + size, horizontal && size), _defineProperty(_classNames, 'banner--padded', padded), _classNames)), _styleModuleImportMap)
  }));
};

CardBanner.propTypes = {
  /** @ignore */
  className: _propTypes2.default.bool,
  horizontal: _propTypes2.default.bool,
  padded: _propTypes2.default.bool,
  size: _propTypes2.default.oneOf(['sm', 'md', 'lg'])
};

CardBanner.defaultProps = {
  className: undefined,
  horizontal: false,
  padded: false,
  type: 'image',
  size: 'md'
};

CardBanner.componentName = 'CardBanner';

exports.default = CardBanner;
module.exports = exports['default'];