'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _getClassName2 = require('babel-plugin-react-css-modules/dist/browser/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Title = require('../../Title');

var _Title2 = _interopRequireDefault(_Title);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _styleModuleImportMap = {
  './card-title.scss': {
    'title--section': 'flive_card-title_title--section',
    'sm': 'flive_card-title_sm',
    'md': 'flive_card-title_md',
    'lg': 'flive_card-title_lg'
  }
};

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var SectionTitle = function SectionTitle(_ref) {
  var className = _ref.className,
      section = _ref.section,
      size = _ref.size,
      props = _objectWithoutProperties(_ref, ['className', 'section', 'size']);

  return _react2.default.createElement(_Title2.default, _extends({}, props, {
    className: (className ? className + ' ' : '') + (0, _getClassName3.default)((0, _classnames2.default)(size, { 'title--section': section }), _styleModuleImportMap)
  }));
};

SectionTitle.componentName = 'CardTitle';

SectionTitle.propTypes = {
  /** @ignore */
  className: _propTypes2.default.string,
  level: _propTypes2.default.number,
  section: _propTypes2.default.bool,
  size: _propTypes2.default.string
};

SectionTitle.defaultProps = {
  className: undefined,
  level: 4,
  section: false,
  size: null
};

exports.default = SectionTitle;
module.exports = exports['default'];