'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

test('FilterBar renders correctly', function () {
  var baseOptions = [{
    value: 'country',
    label: 'Country',
    subOptions: [{ label: 'FR', value: 'fr' }, { label: 'US', value: 'us' }, { label: 'ES', value: 'es' }]
  }];
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(_index2.default, {
      value: {},
      baseOptions: baseOptions,
      onChange: function onChange() {}
    })
  )).toJSON();
  expect(tree).toMatchSnapshot();
}); // eslint-disable-line import/no-extraneous-dependencies

test('FilterBar renders correctly with initial values', function () {
  var baseOptions = [{
    value: 'country',
    label: 'Country',
    subOptions: [{ label: 'FR', value: 'fr' }, { label: 'US', value: 'us' }, { label: 'ES', value: 'es' }]
  }];
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(_index2.default, {
      value: { country: 'fr' },
      baseOptions: baseOptions,
      onChange: function onChange() {}
    })
  )).toJSON();
  expect(tree).toMatchSnapshot();
});