'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _getClassName2 = require('babel-plugin-react-css-modules/dist/browser/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _styleModuleImportMap = {
  './buttons-wrapper.scss': {
    'base': 'flive_buttons-wrapper_base',
    'left': 'flive_buttons-wrapper_left',
    'center': 'flive_buttons-wrapper_center',
    'right': 'flive_buttons-wrapper_right'
  }
};

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var propTypes = {
  align: _propTypes2.default.oneOf(['left', 'center', 'right']),
  className: _propTypes2.default.string
};

var defaultProps = {
  align: 'left',
  className: undefined
};

var ButtonsWrapper = function ButtonsWrapper(_ref) {
  var align = _ref.align,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, ['align', 'className']);

  return _react2.default.createElement('div', _extends({}, props, {
    className: (className ? className + ' ' : '') + (0, _getClassName3.default)((0, _classnames2.default)('base', align), _styleModuleImportMap)
  }));
};

ButtonsWrapper.propTypes = propTypes;
ButtonsWrapper.defaultProps = defaultProps;

exports.default = ButtonsWrapper;
module.exports = exports['default'];