'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Title = require('../../Title');

var _Title2 = _interopRequireDefault(_Title);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var propTypes = {
  level: _propTypes2.default.number,
  variant: _propTypes2.default.string,
  withoutMargeTop: _propTypes2.default.bool
};

var defaultProps = {
  level: 4,
  variant: 'primary',
  withoutMargeTop: true
};

var FormTitle = function FormTitle(props) {
  return _react2.default.createElement(_Title2.default, props);
};

FormTitle.propTypes = propTypes;
FormTitle.defaultProps = defaultProps;

exports.default = FormTitle;
module.exports = exports['default'];