'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _getClassName2 = require('babel-plugin-react-css-modules/dist/browser/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Background = require('../../Background');

var _Background2 = _interopRequireDefault(_Background);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _styleModuleImportMap = {
  './form-wrapper.scss': {
    'padding': 'flive_form-wrapper_padding'
  }
};

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var propTypes = {
  padding: _propTypes2.default.bool,
  backgroundColor: _propTypes2.default.string,
  className: _propTypes2.default.string
};

var defaultProps = {
  padding: false,
  backgroundColor: 'white',
  className: undefined
};

var FormWrapper = function FormWrapper(_ref) {
  var padding = _ref.padding,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, ['padding', 'className']);

  return _react2.default.createElement(_Background2.default, _extends({}, props, {
    component: 'form',
    className: (className ? className + ' ' : '') + (0, _getClassName3.default)((0, _classnames2.default)({ padding: padding }), _styleModuleImportMap)
  }));
};

FormWrapper.propTypes = propTypes;
FormWrapper.defaultProps = defaultProps;

exports.default = FormWrapper;
module.exports = exports['default'];