'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

test('MainFooter renders correctly', function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      _index2.default,
      null,
      _react2.default.createElement(
        _index2.default.Item,
        { href: '#' },
        'Coverage'
      ),
      _react2.default.createElement(
        _index2.default.Item,
        { href: '#' },
        'Technology'
      ),
      _react2.default.createElement(
        _index2.default.Item,
        { href: '#' },
        'Solutions'
      ),
      _react2.default.createElement(
        _index2.default.Item,
        { href: '#', bold: true },
        'Developers'
      ),
      _react2.default.createElement(
        _index2.default.Item,
        { href: '#', bold: true },
        'Partners'
      )
    ),
    _react2.default.createElement(
      _index2.default,
      { secondary: true },
      _react2.default.createElement(
        _index2.default.Item,
        { href: '#' },
        'Contact'
      ),
      _react2.default.createElement(
        _index2.default.Item,
        { href: '#' },
        'Legal'
      ),
      _react2.default.createElement(
        _index2.default.Item,
        { href: '#' },
        'Privacy police'
      ),
      _react2.default.createElement(
        _index2.default.Item,
        { href: '#' },
        'Terms and conditions'
      )
    )
  )).toJSON();
  expect(tree).toMatchSnapshot();
}); // eslint-disable-line import/no-extraneous-dependencies