'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _getClassName2 = require('babel-plugin-react-css-modules/dist/browser/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _styleModuleImportMap = {
  './main-header.scss': {
    'base': 'flive_main-header_base',
    'inner': 'flive_main-header_inner',
    'fixed': 'flive_main-header_fixed flive_main-header_base'
  }
};

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var MainHeader = function (_PureComponent) {
  _inherits(MainHeader, _PureComponent);

  function MainHeader() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, MainHeader);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = MainHeader.__proto__ || Object.getPrototypeOf(MainHeader)).call.apply(_ref, [this].concat(args))), _this), _this.componentWillMount = function () {
      var fixed = _this.props.fixed;

      if (_this.context.layout) {
        _this.context.layout.register('header', { fixed: fixed });
      }
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(MainHeader, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          className = _props.className,
          fixed = _props.fixed,
          props = _objectWithoutProperties(_props, ['className', 'fixed']);

      var style = fixed ? 'fixed' : 'base';

      return _react2.default.createElement('header', _extends({}, props, { role: 'banner', className: (className ? className + ' ' : '') + (0, _getClassName3.default)(style, _styleModuleImportMap)
      }));
    }
  }]);

  return MainHeader;
}(_react.PureComponent);

MainHeader.propTypes = {
  /** @ignore */
  className: _propTypes2.default.string,
  /** Make it fixed to the top */
  fixed: _propTypes2.default.bool
};
MainHeader.defaultProps = {
  className: undefined,
  fixed: false
};
MainHeader.contextTypes = {
  layout: _propTypes2.default.object
};
exports.default = MainHeader;
module.exports = exports['default'];