'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

test('Media renders correctly', function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(_index2.default, {
      src: 'https://www.youtube.com/watch?v=ELngjLHgd9U',
      type: 'video',
      ratio: 16 / 9,
      width: '300px',
      style: { marginRight: '50px' }
    }),
    _react2.default.createElement(_index2.default, { src: '/logo-small.svg', type: 'image', ratio: 1, width: '20%', name: 'flive', alt: 'flive' })
  )).toJSON();
  expect(tree).toMatchSnapshot();
}); // eslint-disable-line import/no-extraneous-dependencies