'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _getClassName2 = require('babel-plugin-react-css-modules/dist/browser/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _styleModuleImportMap = {
  './bar.scss': {
    'base': 'flive_bar_base',
    'justify-left': 'flive_bar_justify-left',
    'justify-center': 'flive_bar_justify-center',
    'justify-right': 'flive_bar_justify-right'
  }
};

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var propTypes = {
  /** @ignore */
  className: _propTypes2.default.string,
  justify: _propTypes2.default.oneOf(['left', 'center', 'right'])
};

var defaultProps = {
  className: undefined,
  justify: null
};

var Bar = function Bar(_ref) {
  var justify = _ref.justify,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, ['justify', 'className']);

  return _react2.default.createElement('div', _extends({}, props, {
    className: (className ? className + ' ' : '') + (0, _getClassName3.default)((0, _classnames2.default)('base', _defineProperty({}, 'justify-' + justify, justify)), _styleModuleImportMap)
  }));
};

Bar.propTypes = propTypes;
Bar.defaultProps = defaultProps;

exports.default = Bar;
module.exports = exports['default'];