'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var propTypes = {
  /** @ignore */
  className: _propTypes2.default.string,
  component: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.object, _propTypes2.default.func])
};

var defaultProps = {
  className: undefined,
  component: 'div'
};

var ItemWrapper = function ItemWrapper(_ref) {
  var className = _ref.className,
      Component = _ref.component,
      props = _objectWithoutProperties(_ref, ['className', 'component']);

  return _react2.default.createElement(Component, _extends({ className: (className ? className + ' ' : '') + 'flive_nav-item-wrapper_base' }, props));
};

ItemWrapper.propTypes = propTypes;
ItemWrapper.defaultProps = defaultProps;

exports.default = ItemWrapper;
module.exports = exports['default'];