'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactPaginate = require('react-paginate');

var _reactPaginate2 = _interopRequireDefault(_reactPaginate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var propTypes = {
  pageCount: _propTypes2.default.number.isRequired,
  pageRangeDisplayed: _propTypes2.default.number.isRequired,
  marginPagesDisplayed: _propTypes2.default.number.isRequired,
  forcePage: _propTypes2.default.number,
  className: _propTypes2.default.string
};

var defaultProps = {
  forcePage: null,
  className: undefined
};

var Pagination = function (_PureComponent) {
  _inherits(Pagination, _PureComponent);

  function Pagination() {
    _classCallCheck(this, Pagination);

    return _possibleConstructorReturn(this, (Pagination.__proto__ || Object.getPrototypeOf(Pagination)).apply(this, arguments));
  }

  _createClass(Pagination, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          pageCount = _props.pageCount,
          pageRangeDisplayed = _props.pageRangeDisplayed,
          marginPagesDisplayed = _props.marginPagesDisplayed,
          forcePage = _props.forcePage,
          className = _props.className;


      return _react2.default.createElement(
        'div',
        { className: (className ? className + ' ' : '') + 'flive_pagination_wrapper' },
        _react2.default.createElement(
          'div',
          { className: 'flive_pagination_base' },
          _react2.default.createElement(_reactPaginate2.default, _extends({
            previousLabel: '<',
            nextLabel: '>',
            previousClassName: 'pagination-previous',
            nextClassName: 'pagination-next',
            disabledClassName: 'disabled',
            containerClassName: 'pagination-container',
            breakClassName: 'pagination-item',
            pageClassName: 'pagination-item',
            pageLinkClassName: 'pagination-item-link',
            pageCount: pageCount,
            pageRangeDisplayed: pageRangeDisplayed,
            marginPagesDisplayed: marginPagesDisplayed,
            forcePage: forcePage
          }, this.props))
        )
      );
    }
  }]);

  return Pagination;
}(_react.PureComponent);

Pagination.propTypes = propTypes;
Pagination.defaultProps = defaultProps;

exports.default = Pagination;
module.exports = exports['default'];