'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

test('Radio renders correctly', function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(_index2.default, {
      label: 'AT Commands',
      options: [{ value: 'option1', label: 'Option 1' }, { value: 'options2', label: 'Option 2' }, { value: 'options3', label: 'Option 3' }],
      value: 'bonjour',
      onChange: function onChange() {}
    }),
    _react2.default.createElement(_index2.default, {
      label: 'AT Commands',
      options: { key1: 'test', key2: 'test2' },
      value: 'hello',
      onChange: function onChange() {}
    })
  )).toJSON();
  expect(tree).toMatchSnapshot();
}); // eslint-disable-line import/no-extraneous-dependencies