'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

test('SelectInput renders correctly', function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
    'div',
    { style: { marginBottom: '100px' } },
    _react2.default.createElement(_index2.default, {
      label: 'Request Type',
      options: [{ value: 'business', label: 'Business' }, { value: 'information', label: 'Information' }, { value: 'partnership', label: 'Partnership' }, { value: 'samples', label: 'Samples' }],
      mandatory: true,
      value: 'business',
      onChange: function onChange() {}
    }),
    _react2.default.createElement(_index2.default, {
      label: 'Request Type',
      options: [{ value: 'business', label: 'Business' }, { value: 'information', label: 'Information' }],
      disabledOptions: [{ value: 'partnership', label: 'Partnership', hint: 'tooltip' }, { value: 'samples', label: 'Samples', hint: 'tooltip' }],
      mandatory: true,
      value: 'business',
      multiple: true,
      onChange: function onChange() {},
      allowCreate: true
    })
  )).toJSON();
  expect(tree).toMatchSnapshot();
}); // eslint-disable-line import/no-extraneous-dependencies