'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SigfoxBrand = require('../SigfoxBrand');

var _SigfoxBrand2 = _interopRequireDefault(_SigfoxBrand);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _Background = require('../Background');

var _Background2 = _interopRequireDefault(_Background);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

// eslint-disable-line no-unused-vars

/**
 * Brand / Logo bloc, to be used inside of the MainHeader
 */
var SigfoxLogoIdSide = function (_PureComponent) {
  _inherits(SigfoxLogoIdSide, _PureComponent);

  function SigfoxLogoIdSide() {
    _classCallCheck(this, SigfoxLogoIdSide);

    return _possibleConstructorReturn(this, (SigfoxLogoIdSide.__proto__ || Object.getPrototypeOf(SigfoxLogoIdSide)).apply(this, arguments));
  }

  _createClass(SigfoxLogoIdSide, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          name = _props.name,
          className = _props.className,
          rest = _objectWithoutProperties(_props, ['name', 'className']);

      return _react2.default.createElement(
        _Background2.default,
        _extends({ borderColor: 'medium-light-grey', className: (className ? className + ' ' : '') + 'flive_sigfox-logo-id-side_base' }, rest),
        _react2.default.createElement(
          'div',
          { className: 'flive_sigfox-logo-id-side_logos-wrapper' },
          _react2.default.createElement(_SigfoxBrand2.default, { className: 'flive_sigfox-logo-id-side_sigfox-logo', name: name }),
          _react2.default.createElement(
            _Background2.default,
            { borderColor: 'medium-light-grey', className: 'flive_sigfox-logo-id-side_content-sigfox-id' },
            _react2.default.createElement(_Icon2.default, { className: 'flive_sigfox-logo-id-side_sigfox-id', name: 'sigfox-id', size: 'md' })
          )
        )
      );
    }
  }]);

  return SigfoxLogoIdSide;
}(_react.PureComponent);

SigfoxLogoIdSide.propTypes = {
  /** The name of your app to display under "sigfox" */
  name: _propTypes2.default.string,
  className: _propTypes2.default.string
};
SigfoxLogoIdSide.defaultProps = {
  name: null,
  className: undefined
};
exports.default = SigfoxLogoIdSide;
module.exports = exports['default'];