'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

test('Title renders correctly', function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      _index2.default,
      null,
      'Title level 1'
    ),
    _react2.default.createElement(
      _index2.default,
      { level: 2, component: 'span' },
      'Title level 2'
    ),
    _react2.default.createElement(
      _index2.default,
      { level: 3 },
      'Title level 3'
    ),
    _react2.default.createElement(
      _index2.default,
      { level: 1, variant: 'dash-lagoon' },
      'Title level 1'
    ),
    _react2.default.createElement(
      _index2.default,
      { level: 2, variant: 'dash-lagoon' },
      'Title level 2'
    ),
    _react2.default.createElement(
      _index2.default,
      { level: 3, variant: 'dash-lagoon' },
      'Title level 3'
    )
  )).toJSON();
  expect(tree).toMatchSnapshot();
}); // eslint-disable-line import/no-extraneous-dependencies