'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createStore = require('redux').createStore; // eslint-disable-line import/no-extraneous-dependencies

var combineReducers = require('redux').combineReducers;
var Provider = require('react-redux').Provider;
var toastrReducer = require('react-redux-toastr').reducer;

var reducers = {
  toastr: toastrReducer
};
var reducer = combineReducers(reducers);
var store = createStore(reducer);

test('Title renders correctly', function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      Provider,
      { store: store },
      _react2.default.createElement(_index2.default, null)
    )
  )).toJSON();
  expect(tree).toMatchSnapshot();
});