import React from 'react';
import renderer from 'react-test-renderer'; // eslint-disable-line import/no-extraneous-dependencies

import CheckBox from './index';

test('Checkbox renders correctly', () => {
  const tree = renderer.create(
    <div>
      <CheckBox
        optionValue={'value'}
        value={false}
        onChange={() => {}}
      />
      <CheckBox
        optionValue={'value'}
        value={false}
      />
      <CheckBox
        optionValue={'value'}
        value={false}
        onChange={() => {}}
        label="Hello"
      />
    </div>
  ).toJSON();
  expect(tree).toMatchSnapshot();
});
