```
const defaultValue = {
  preview: '/large.jpg',
  name: 'large.jpg',
  type: 'image/jpeg'
};
<div>
  <FileInput
    placeHolder="hello"
    accept="image/*"
    input={{
      value: state.value || [defaultValue],
      onChange: (acceptedFiles, rejectedFiles) => {
        console.log(acceptedFiles)
        if (acceptedFiles) {
          setState({ value: acceptedFiles })
        }
      }
    }}
    multiple
  />
  {state.value && !!state.value.length &&
    <Cropper
      value={state.value[0] || defaultValue}
      onRequestHide={() => {
        setState({ value: undefined });
      }}
      onCrop={(value) => {
        setState({ value: undefined });
      }}
    />
  }
</div>
```
