import React from 'react';
import PropTypes from 'prop-types';

import './form-footer.scss';

const propTypes = {
  className: PropTypes.string
};

const defaultProps = {
  className: undefined
};

const FormFooter = ({ className, ...props }) => <div className={className} styleName="base" {...props} />;

FormFooter.propTypes = propTypes;
FormFooter.defaultProps = defaultProps;

export default FormFooter;
