import React from 'react';
import PropTypes from 'prop-types';
import Title from '../../Title';

const propTypes = {
  level: PropTypes.number,
  variant: PropTypes.string,
  withoutMargeTop: PropTypes.bool
};

const defaultProps = {
  level: 4,
  variant: 'primary',
  withoutMargeTop: true
};

const FormTitle = props => <Title {...props} />;

FormTitle.propTypes = propTypes;
FormTitle.defaultProps = defaultProps;

export default FormTitle;
