import React from 'react';
import PropTypes from 'prop-types';

import './body.scss';

const propTypes = {
  /** @ignore */
  className: PropTypes.string
};

const defaultProps = {
  className: undefined
};

const ModalBody = ({ className, ...rest }) => (
  <div styleName="modalBody" className={className} {...rest} />
);

ModalBody.propTypes = propTypes;
ModalBody.defaultProps = defaultProps;

export default ModalBody;
