import React from 'react';
import PropTypes from 'prop-types';

import './footer.scss';

const propTypes = {
  /** @ignore */
  className: PropTypes.string
};

const defaultProps = {
  className: undefined
};

const ModalFooter = ({ className, ...rest }) => (
  <div className={className} styleName="modalFooter" {...rest} />
);

ModalFooter.propTypes = propTypes;
ModalFooter.defaultProps = defaultProps;

export default ModalFooter;
