Simple example

```
const { Row, Column } = Section;
<div style={{ overflow: 'scroll' }}>
  <p>2 column 1/2 medium size and 3/9 small size</p>
  <Row>
    <Column sm="3" md="7" style={{ background: '#ccc' }}>Column 1</Column>
    <Column sm="9" md="5" style={{ background: '#ccc' }}>Column 2</Column>
  </Row>
  <p>3 column : </p>
  <Row>
    <Column sm="3" md="2" style={{ background: '#ccc' }}>Column 1</Column>
    <Column sm="4" md="5" style={{ background: '#ccc' }}>Column 2</Column>
    <Column sm="5" md="5" style={{ background: '#ccc' }}>Column 3</Column>
  </Row>
  <p>In section full</p>
  <Section size="full">
    <Row>
      <Column sm="6" style={{ background: '#ccc' }}>Column 1</Column>
      <Column sm="6" style={{ background: '#ccc' }}>Column 2</Column>
    </Row>
  </Section>
  <p>In section small</p>
  <Section size="sm">
    <Row>
      <Column xs="6" style={{ background: '#ccc' }}>Column 1</Column>
      <Column xs="6" style={{ background: '#ccc' }}>Column 2</Column>
    </Row>
  </Section>
  <p>In section extra small</p>
  <Section size="xs">
    <Row>
      <Column xs="6" style={{ background: '#ccc' }}>Column 1</Column>
      <Column xs="6" style={{ background: '#ccc' }}>Column 2</Column>
    </Row>
  </Section>
</div>
```
