```
const { Tab, TabsContainer, Content } = Tabs;
<div>
  <Background>
    <Tabs
      sticky={{
        topOffset: -110
      }}
      scrollSpy={{
        topOffset: -50
      }}
    >
      <TabsContainer md="2" style={{ padding: '2rem 0 0 2rem' }} withHashTag>
        <Tab to="tab1" href="#tab1">Tab 1</Tab>
        <Tab to="tab2">Tab 2</Tab>
        <Tab to="tab3">Tab 3</Tab>
      </TabsContainer>
      <Content md="10">
        <div id="tab1" style={{ background: '#fff', padding: '2rem', margin: '2rem 2rem 3rem 0' }}>
          <Title level={2} variant="dash-lagoon" withoutMarge>Tab 1</Title>
          <p>
          Lorem ipsum dolor sit amet, consectetur adipiscing elit.
          Phasellus consequat, massa posuere eleifend tincidunt, erat velit malesuada orci,
          sit amet vehicula tortor eros vel ipsum. Integer bibendum nunc eu eros blandit gravida.
          Aliquam erat volutpat. Phasellus non orci tristique, porttitor elit non, luctus augue.
          Vestibulum a aliquam quam. Proin eget orci ante. Phasellus viverra, erat sed sagittis ornare,
          massa magna euismod lectus, sit amet sollicitudin urna turpis eget est. Mauris ultrices et nunc quis posuere.
          Donec maximus elementum urna, egestas ultrices neque cursus vitae. Nullam rutrum libero erat.
          Nulla efficitur porta lectus, sit amet tempus sapien suscipit placerat. Nam facilisis molestie magna, a volutpat
          enim laoreet vel. Donec venenatis lacus ut tellus pharetra, a molestie lorem varius.
          <br /><br />
          Nulla id suscipit est, id aliquam nulla. Donec ac hendrerit velit. Suspendisse iaculis ornare velit ut volutpat.
          Nullam vel neque laoreet, interdum est eu, semper dui. Aliquam pretium urna vel mauris porttitor,
          in cursus dolor condimentum. Aliquam vitae faucibus nunc. Phasellus eleifend, ipsum quis auctor luctus,
          est nibh euismod odio, eu luctus lacus orci ac tellus. Donec pretium elit sapien, sit amet lobortis risus
          aliquam id. Aliquam tempor purus lobortis dolor laoreet, in auctor ipsum rutrum. Fusce faucibus vitae felis in
          venenatis. Donec dignissim tempus eros at luctus. Quisque ac rutrum lacus. Suspendisse pulvinar lorem vel quam
          finibus bibendum. Ut feugiat mollis quam a fringilla. Curabitur vitae neque quis diam eleifend aliquet.
          </p>
        </div>
        <div id="tab2" style={{ background: '#fff', padding: '2rem', margin: '2rem 2rem 3rem 0' }}>
          <Title level={2} variant="dash-lagoon" withoutMarge>Tab 2</Title>
          <p>
          Nulla id suscipit est, id aliquam nulla. Donec ac hendrerit velit. Suspendisse iaculis ornare velit ut volutpat.
          Nullam vel neque laoreet, interdum est eu, semper dui. Aliquam pretium urna vel mauris porttitor,
          in cursus dolor condimentum. Aliquam vitae faucibus nunc. Phasellus eleifend, ipsum quis auctor luctus,
          est nibh euismod odio, eu luctus lacus orci ac tellus. Donec pretium elit sapien, sit amet lobortis risus
          aliquam id. Aliquam tempor purus lobortis dolor laoreet, in auctor ipsum rutrum. Fusce faucibus vitae felis in
          venenatis. Donec dignissim tempus eros at luctus. Quisque ac rutrum lacus. Suspendisse pulvinar lorem vel quam
          finibus bibendum. Ut feugiat mollis quam a fringilla. Curabitur vitae neque quis diam eleifend aliquet.
          <br /><br />
          Lorem ipsum dolor sit amet, consectetur adipiscing elit.
          Phasellus consequat, massa posuere eleifend tincidunt, erat velit malesuada orci,
          sit amet vehicula tortor eros vel ipsum. Integer bibendum nunc eu eros blandit gravida.
          Aliquam erat volutpat. Phasellus non orci tristique, porttitor elit non, luctus augue.
          Vestibulum a aliquam quam. Proin eget orci ante. Phasellus viverra, erat sed sagittis ornare,
          massa magna euismod lectus, sit amet sollicitudin urna turpis eget est. Mauris ultrices et nunc quis posuere.
          Donec maximus elementum urna, egestas ultrices neque cursus vitae. Nullam rutrum libero erat.
          Nulla efficitur porta lectus, sit amet tempus sapien suscipit placerat. Nam facilisis molestie magna, a volutpat
          enim laoreet vel. Donec venenatis lacus ut tellus pharetra, a molestie lorem varius.
          <br /><br />
          Lorem ipsum dolor sit amet, consectetur adipiscing elit.
          Phasellus consequat, massa posuere eleifend tincidunt, erat velit malesuada orci,
          sit amet vehicula tortor eros vel ipsum. Integer bibendum nunc eu eros blandit gravida.
          Aliquam erat volutpat. Phasellus non orci tristique, porttitor elit non, luctus augue.
          Vestibulum a aliquam quam. Proin eget orci ante. Phasellus viverra, erat sed sagittis ornare,
          massa magna euismod lectus, sit amet sollicitudin urna turpis eget est. Mauris ultrices et nunc quis posuere.
          Donec maximus elementum urna, egestas ultrices neque cursus vitae. Nullam rutrum libero erat.
          Nulla efficitur porta lectus, sit amet tempus sapien suscipit placerat. Nam facilisis molestie magna, a volutpat
          enim laoreet vel. Donec venenatis lacus ut tellus pharetra, a molestie lorem varius.        
          </p>
        </div>
        <div id="tab3" style={{ background: '#fff', padding: '2rem', margin: '2rem 2rem 3rem 0' }}>
          <Title level={2} variant="dash-lagoon" withoutMarge>Tab 3</Title>
          <p>
          Nulla id suscipit est, id aliquam nulla. Donec ac hendrerit velit. Suspendisse iaculis ornare velit ut volutpat.
          Nullam vel neque laoreet, interdum est eu, semper dui. Aliquam pretium urna vel mauris porttitor,
          in cursus dolor condimentum. Aliquam vitae faucibus nunc. Phasellus eleifend, ipsum quis auctor luctus,
          est nibh euismod odio, eu luctus lacus orci ac tellus. Donec pretium elit sapien, sit amet lobortis risus
          aliquam id. Aliquam tempor purus lobortis dolor laoreet, in auctor ipsum rutrum. Fusce faucibus vitae felis in
          venenatis. Donec dignissim tempus eros at luctus. Quisque ac rutrum lacus. Suspendisse pulvinar lorem vel quam
          finibus bibendum. Ut feugiat mollis quam a fringilla. Curabitur vitae neque quis diam eleifend aliquet.
          <br /><br />
          Lorem ipsum dolor sit amet, consectetur adipiscing elit.
          Phasellus consequat, massa posuere eleifend tincidunt, erat velit malesuada orci,
          sit amet vehicula tortor eros vel ipsum. Integer bibendum nunc eu eros blandit gravida.
          Aliquam erat volutpat. Phasellus non orci tristique, porttitor elit non, luctus augue.
          Vestibulum a aliquam quam. Proin eget orci ante. Phasellus viverra, erat sed sagittis ornare,
          massa magna euismod lectus, sit amet sollicitudin urna turpis eget est. Mauris ultrices et nunc quis posuere.
          Donec maximus elementum urna, egestas ultrices neque cursus vitae. Nullam rutrum libero erat.
          Nulla efficitur porta lectus, sit amet tempus sapien suscipit placerat. Nam facilisis molestie magna, a volutpat
          enim laoreet vel. Donec venenatis lacus ut tellus pharetra, a molestie lorem varius.
          <br /><br />
          Lorem ipsum dolor sit amet, consectetur adipiscing elit.
          Phasellus consequat, massa posuere eleifend tincidunt, erat velit malesuada orci,
          sit amet vehicula tortor eros vel ipsum. Integer bibendum nunc eu eros blandit gravida.
          Aliquam erat volutpat. Phasellus non orci tristique, porttitor elit non, luctus augue.
          Vestibulum a aliquam quam. Proin eget orci ante. Phasellus viverra, erat sed sagittis ornare,
          massa magna euismod lectus, sit amet sollicitudin urna turpis eget est. Mauris ultrices et nunc quis posuere.
          Donec maximus elementum urna, egestas ultrices neque cursus vitae. Nullam rutrum libero erat.
          Nulla efficitur porta lectus, sit amet tempus sapien suscipit placerat. Nam facilisis molestie magna, a volutpat
          enim laoreet vel. Donec venenatis lacus ut tellus pharetra, a molestie lorem varius.
          </p>
        </div>
      </Content>
    </Tabs>
  </Background>

  <Tabs>
    <TabsContainer sm="3">
      <Tab selected>Tab 1</Tab>
      <Tab>Tab 2</Tab>
    </TabsContainer>
    <Content sm="9">Content</Content>
  </Tabs>
  <Tabs tabDirection="row">
    <TabsContainer>
      <Tab component="span">Tab 1</Tab>
      <Tab component="span">Tab 2</Tab>
      <Tab component="span" active>Tab 3</Tab>
      <Tab component="span">Tab 4</Tab>
    </TabsContainer>
    <Content>Content</Content>
  </Tabs>
</div>
```
