'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Item = _index2.default.Item; // eslint-disable-line import/no-extraneous-dependencies

test('BreadCrumb renders correctly', function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      _index2.default,
      { variant: 'night-blue' },
      _react2.default.createElement(
        Item,
        { component: 'a', href: '/' },
        'Home'
      ),
      _react2.default.createElement(
        Item,
        { component: 'a', href: '/news' },
        'News'
      ),
      _react2.default.createElement(
        Item,
        { href: '/news' },
        'Press Room'
      )
    ),
    _react2.default.createElement(
      _index2.default,
      { variant: 'white', style: { background: '#000' } },
      _react2.default.createElement(
        Item,
        { component: 'a', href: '/' },
        'Home'
      ),
      _react2.default.createElement(
        Item,
        { component: 'a', href: '/news' },
        'News'
      ),
      _react2.default.createElement(
        Item,
        { href: '/news' },
        'Press Room'
      )
    )
  )).toJSON();
  expect(tree).toMatchSnapshot();
});