'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

test('Button renders correctly', function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      'p',
      null,
      'Small'
    ),
    _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(
        _index2.default,
        { size: 'sm', type: 'submit', component: 'a' },
        'Button sm'
      ),
      _react2.default.createElement(
        _index2.default,
        { size: 'sm', type: 'submit' },
        'Button with multiline content'
      )
    ),
    _react2.default.createElement(
      'p',
      null,
      'Medium'
    ),
    _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(
        _index2.default,
        { size: 'md', type: 'submit' },
        'Button md'
      ),
      _react2.default.createElement(
        _index2.default,
        { size: 'md', type: 'submit' },
        'Button with multiline content'
      )
    ),
    _react2.default.createElement(
      'p',
      null,
      'Large'
    ),
    _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(
        _index2.default,
        { size: 'lg', type: 'submit' },
        'Button lg'
      ),
      _react2.default.createElement(
        _index2.default,
        { size: 'lg', type: 'submit' },
        'Button with multiline content'
      )
    ),
    _react2.default.createElement(
      'p',
      null,
      'Nav bar'
    ),
    _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(
        _index2.default,
        { size: 'nav-bar', variant: 'dash-lagoon', type: 'submit', componen: 'a' },
        'Button small'
      ),
      _react2.default.createElement(
        _index2.default,
        { size: 'nav-bar', variant: 'dash-lagoon', type: 'submit' },
        'My button with multiline content'
      )
    )
  )).toJSON();
  expect(tree).toMatchSnapshot();
}); // eslint-disable-line import/no-extraneous-dependencies