'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _getClassName2 = require('babel-plugin-react-css-modules/dist/browser/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _styleModuleImportMap = {
  './card-body.scss': {
    'body-container': 'flive_card-body_body-container',
    'white': 'flive_card-body_white',
    'grey': 'flive_card-body_grey',
    'section': 'flive_card-body_section'
  }
};

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var SectionBody = function SectionBody(_ref) {
  var className = _ref.className,
      colorVariant = _ref.colorVariant,
      section = _ref.section,
      size = _ref.size,
      props = _objectWithoutProperties(_ref, ['className', 'colorVariant', 'section', 'size']);

  return _react2.default.createElement('div', _extends({}, props, {
    className: (className ? className + ' ' : '') + (0, _getClassName3.default)((0, _classnames2.default)('body-container', colorVariant, { section: section }), _styleModuleImportMap)
  }));
};

SectionBody.propTypes = {
  /** @ignore */
  className: _propTypes2.default.string,
  colorVariant: _propTypes2.default.string,
  section: _propTypes2.default.bool,
  size: _propTypes2.default.string
};

SectionBody.defaultProps = {
  className: undefined,
  colorVariant: 'grey',
  section: false,
  size: 'md'
};

SectionBody.componentName = 'CardSectionBody';

exports.default = SectionBody;
module.exports = exports['default'];