'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _getClassName2 = require('babel-plugin-react-css-modules/dist/browser/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _styleModuleImportMap = {
  './card-footer.scss': {
    'footer': 'flive_card-footer_footer',
    'footer--left': 'flive_card-footer_footer--left',
    'footer--separator': 'flive_card-footer_footer--separator',
    'footer--grey': 'flive_card-footer_footer--grey',
    'footer--white': 'flive_card-footer_footer--white'
  }
};

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var SectionFooter = function SectionFooter(_ref) {
  var colorVariant = _ref.colorVariant,
      className = _ref.className,
      left = _ref.left,
      separator = _ref.separator,
      props = _objectWithoutProperties(_ref, ['colorVariant', 'className', 'left', 'separator']);

  return _react2.default.createElement('div', _extends({}, props, {
    className: (className ? className + ' ' : '') + (0, _getClassName3.default)((0, _classnames2.default)('footer footer--' + colorVariant, { 'footer--left': left }, { 'footer--separator': separator }), _styleModuleImportMap)
  }));
};

SectionFooter.propTypes = {
  /** @ignore */
  className: _propTypes2.default.string,
  colorVariant: _propTypes2.default.string,
  left: _propTypes2.default.bool,
  separator: _propTypes2.default.bool
};

SectionFooter.defaultProps = {
  className: null,
  colorVariant: 'grey',
  left: false,
  separator: false
};

SectionFooter.componentName = 'CardSectionFooter';

exports.default = SectionFooter;
module.exports = exports['default'];