'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _getClassName2 = require('babel-plugin-react-css-modules/dist/browser/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _styleModuleImportMap = {
  './hint.scss': {
    'base': 'flive_hint_base',
    'success': 'flive_hint_success',
    'danger': 'flive_hint_danger'
  }
};

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var propTypes = {
  variant: _propTypes2.default.oneOf(['success', 'danger']),
  className: _propTypes2.default.string,
  component: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.object, _propTypes2.default.element])
};

var defaultProps = {
  variant: null,
  className: null,
  component: 'p'
};

var Hint = function Hint(_ref) {
  var Component = _ref.component,
      variant = _ref.variant,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, ['component', 'variant', 'className']);

  return _react2.default.createElement(Component, _extends({}, props, {
    className: (className ? className + ' ' : '') + (0, _getClassName3.default)((0, _classnames2.default)('base', variant), _styleModuleImportMap)
  }));
};

Hint.propTypes = propTypes;
Hint.defaultProps = defaultProps;

exports.default = Hint;
module.exports = exports['default'];