'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getClassName2 = require('babel-plugin-react-css-modules/dist/browser/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _styleModuleImportMap = {
  './fieldset.scss': {
    'fieldset': 'flive_fieldset_fieldset',
    'top-left': 'flive_fieldset_top-left',
    'top-right': 'flive_fieldset_top-right',
    'bottom-left': 'flive_fieldset_bottom-left',
    'bottom-right': 'flive_fieldset_bottom-right'
  }
};


var Fieldset = function Fieldset(_ref) {
  var _classnames;

  var legend = _ref.legend,
      legendPosition = _ref.legendPosition,
      children = _ref.children;
  return _react2.default.createElement(
    'fieldset',
    {
      className: (0, _getClassName3.default)((0, _classnames3.default)((_classnames = {}, _defineProperty(_classnames, legendPosition, legendPosition), _defineProperty(_classnames, 'fieldset', true), _classnames)), _styleModuleImportMap)
    },
    legend && _react2.default.createElement(
      'legend',
      null,
      legend
    ),
    children
  );
};

Fieldset.propTypes = {
  legend: _propTypes2.default.string,
  legendPosition: _propTypes2.default.oneOf(['top-left', 'top-right', 'bottom-left', 'bottom-right']),
  children: _propTypes2.default.oneOfType([_propTypes2.default.element, _propTypes2.default.node, _propTypes2.default.func])
};

Fieldset.defaultProps = {
  legend: null,
  legendPosition: 'top-left',
  children: null
};

exports.default = Fieldset;
module.exports = exports['default'];