'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Button = require('../../Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var propTypes = {
  level: _propTypes2.default.oneOf([1, 2]),
  variant: _propTypes2.default.string,
  size: _propTypes2.default.string
};

var defaultProps = {
  level: 1,
  variant: null,
  size: null
};

var NavButton = function NavButton(_ref) {
  var level = _ref.level,
      initialVariant = _ref.variant,
      initialSize = _ref.size,
      props = _objectWithoutProperties(_ref, ['level', 'variant', 'size']);

  var variant = void 0;
  var size = void 0;
  if (!initialVariant) {
    variant = level === 1 ? 'dash-lagoon' : 'dash-night-blue';
  } else {
    variant = initialVariant;
  }
  if (!initialSize) {
    size = level === 1 ? 'nav-bar' : 'nav-bar-level-2';
  } else {
    size = initialSize;
  }
  return _react2.default.createElement(_Button2.default, _extends({ variant: variant, size: size }, props));
};

NavButton.propTypes = propTypes;
NavButton.defaultProps = defaultProps;

exports.default = NavButton;
module.exports = exports['default'];