'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

test('Pagination renders correctly', function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(_index2.default, {
    pageCount: 10,
    pageRangeDisplayed: 10,
    marginPagesDisplayed: 1,
    onPageChange: function onPageChange(item) {
      return alert(item.selected);
    }
  })).toJSON();
  expect(tree).toMatchSnapshot();
}); // eslint-disable-line import/no-extraneous-dependencies