'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var StyleButton = function (_Component) {
  _inherits(StyleButton, _Component);

  function StyleButton() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, StyleButton);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = StyleButton.__proto__ || Object.getPrototypeOf(StyleButton)).call.apply(_ref, [this].concat(args))), _this), _this.onToggle = function (e) {
      if (e) e.preventDefault();
      _this.props.onToggle(_this.props.style);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(StyleButton, [{
    key: 'render',
    value: function render() {
      var className = 'rich-text-editor--style-button rich-text-editor--style-button-' + this.props.className;
      if (this.props.active) {
        className += ' rich-text-editor--style-button--active';
      }

      return _react2.default.createElement(
        'button',
        { type: 'button', className: className, onMouseDown: this.onToggle },
        this.props.label
      );
    }
  }]);

  return StyleButton;
}(_react.Component);

StyleButton.propTypes = {
  active: _propTypes2.default.bool,
  label: _propTypes2.default.node,
  style: _propTypes2.default.string,
  onToggle: _propTypes2.default.func,
  className: _propTypes2.default.string
};
StyleButton.defaultProps = {
  active: false,
  label: null,
  style: null,
  onToggle: null,
  className: null
};
exports.default = StyleButton;
module.exports = exports['default'];