'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _getClassName2 = require('babel-plugin-react-css-modules/dist/browser/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _styleModuleImportMap = {
  './section-row.scss': {
    'base': 'flive_section-row_base',
    'margin-top': 'flive_section-row_margin-top',
    'margin-bottom': 'flive_section-row_margin-bottom'
  }
};

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var propTypes = {
  /** @ignore */
  className: _propTypes2.default.string,
  marginTop: _propTypes2.default.bool,
  marginBottom: _propTypes2.default.bool,
  component: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.object, _propTypes2.default.func])
};

var defaultProps = {
  className: undefined,
  marginTop: false,
  marginBottom: false,
  component: 'div'
};

var Row = function Row(_ref) {
  var className = _ref.className,
      marginTop = _ref.marginTop,
      marginBottom = _ref.marginBottom,
      Component = _ref.component,
      props = _objectWithoutProperties(_ref, ['className', 'marginTop', 'marginBottom', 'component']);

  return _react2.default.createElement(Component, _extends({}, props, {
    className: (className ? className + ' ' : '') + (0, _getClassName3.default)((0, _classnames2.default)('base', {
      'margin-top': marginTop,
      'margin-bottom': marginBottom
    }), _styleModuleImportMap)
  }));
};

Row.propTypes = propTypes;
Row.defaultProps = defaultProps;

exports.default = Row;
module.exports = exports['default'];