'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

// eslint-disable-line no-unused-vars

/**
 * Brand / Logo bloc, to be used inside of the MainHeader
 */
var SigfoxBrand = function (_PureComponent) {
  _inherits(SigfoxBrand, _PureComponent);

  function SigfoxBrand() {
    _classCallCheck(this, SigfoxBrand);

    return _possibleConstructorReturn(this, (SigfoxBrand.__proto__ || Object.getPrototypeOf(SigfoxBrand)).apply(this, arguments));
  }

  _createClass(SigfoxBrand, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          name = _props.name,
          className = _props.className,
          color = _props.color,
          rest = _objectWithoutProperties(_props, ['name', 'className', 'color']);

      var style = color ? { color: color } : {};
      return _react2.default.createElement(
        'div',
        _extends({ className: (className ? className + ' ' : '') + 'flive_header-brand_container' }, rest),
        _react2.default.createElement('div', { className: 'flive_header-brand_logo' }),
        _react2.default.createElement(
          'span',
          { className: 'flive_header-brand_name', style: style },
          _react2.default.createElement(
            'span',
            null,
            'sigfox'
          ),
          name
        )
      );
    }
  }]);

  return SigfoxBrand;
}(_react.PureComponent);

SigfoxBrand.propTypes = {
  /** The name of your app to display under "sigfox" */
  name: _propTypes2.default.string,
  /** The app name color */
  color: _propTypes2.default.string,
  /** @ignore */
  className: _propTypes2.default.string
};
SigfoxBrand.defaultProps = {
  name: null,
  color: null,
  className: ''
};
exports.default = SigfoxBrand;
module.exports = exports['default'];