'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Spinner = function Spinner(_ref) {
  var noLabel = _ref.noLabel,
      className = _ref.className;
  return _react2.default.createElement(
    'div',
    { className: (className ? className + ' ' : '') + 'flive_spinner_spinner' },
    !noLabel && _react2.default.createElement(
      'span',
      null,
      'Loading...'
    )
  );
};

Spinner.propTypes = {
  /** @ignore */
  className: _propTypes2.default.string,
  noLabel: _propTypes2.default.bool
};

Spinner.defaultProps = {
  className: null,
  noLabel: false
};

exports.default = Spinner;
module.exports = exports['default'];