'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Section = require('../../Section');

var _Section2 = _interopRequireDefault(_Section);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Column = _Section2.default.Column;


var componentName = 'TabsContent';

var propTypes = {
  tabDirection: _propTypes2.default.oneOf(['column', 'row'])
};

var defaultProps = {
  tabDirection: 'column'
};

var TabsContent = function TabsContent(_ref) {
  var tabDirection = _ref.tabDirection,
      props = _objectWithoutProperties(_ref, ['tabDirection']);

  switch (true) {
    case tabDirection === 'column':
      return _react2.default.createElement(Column, props);
    case tabDirection === 'row':
    default:
      return _react2.default.createElement('div', props);
  }
};

TabsContent.componentName = componentName;
TabsContent.propTypes = propTypes;
TabsContent.defaultProps = defaultProps;

exports.default = TabsContent;
module.exports = exports['default'];