'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

var _Button = require('../Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line import/no-extraneous-dependencies

test('Tooltip renders correctly', function () {
  var tree = _reactTestRenderer2.default.create(_react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      _index2.default,
      {
        component: 'a',
        overlay: 'hey',
        href: 'http://wwayne.com/react-tooltip/'
      },
      'Hover \u25D5\u203F\u203F\u25D5 me'
    ),
    _react2.default.createElement('hr', null),
    _react2.default.createElement(
      _index2.default,
      {
        component: _Button2.default,
        overlay: _react2.default.createElement(
          'strong',
          null,
          'Title'
        )
      },
      'Hover \u0B87\u0434\u0B87 me'
    )
  )).toJSON();
  expect(tree).toMatchSnapshot();
});