import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';

import AccordionItem from './Item';

import './accordion.scss';

class Accordion extends PureComponent {
  static propTypes = {
    className: PropTypes.string
  }
  static defaultProps = {
    className: undefined
  }
  render() {
    const { className, ...rest } = this.props;
    return <div className={className} styleName="wrapper" {...rest} />;
  }
}

export const Item = AccordionItem;
Accordion.Item = AccordionItem;
export default Accordion;
