import React from 'react';
import PropTypes from 'prop-types';
import Button from '../../Button';

import './dropdown-trigger.scss';

const Trigger = ({ className, ...props }) => (
  <Button
    className={className}
    styleName="base"
    {...props}
  />
);

Trigger.propTypes = {
  /** @ignore */
  className: PropTypes.string
};

Trigger.defaultProps = {
  className: undefined
};

Trigger.componentName = 'Trigger';

export default Trigger;
