import React from 'react';
import PropTypes from 'prop-types';

const propTypes = {
  className: PropTypes.string
};

const defaultProps = {
  className: undefined
};

const FormBody = ({ className, ...props }) => <div className={className} {...props} />;

FormBody.propTypes = propTypes;
FormBody.defaultProps = defaultProps;

export default FormBody;
