```
<ImageInput
  placeHolder="hello"
  input={{
    onChange: value => console.log('onChange : ', value) || setState({ value }),
    value: state.value
  }}
  fileRequest={(fileObject) => new Promise((resolve, reject) => {
    console.log('fileRequest : ', fileObject);
    setTimeout(() => resolve({ data: { path: fileObject.preview } }), 1000);
  })}
  originalFileRequest={(fileObject) => new Promise((resolve, reject) => {
    console.log('originalFileRequest : ', fileObject);
    setTimeout(() => resolve({ data: { path: fileObject.path || fileObject.originalFile.preview } }), 3000);
  })}
  sizes={[
    {
      width: 1600,
      height: 900,
      label: 'ratio 16/9 (1600px / 900px)'
    },
    {
      width: 600,
      height: 400,
      label: 'ratio 4/3 (600px / 400px)'
    },
    {
      width: 600,
      height: 600,
      label: 'ratio 1/1 (600px / 600px)'
    },
    {
      width: 400,
      height: 600,
      label: 'ratio 3/4 (400px / 600px)'
    },
    {
      width: 450,
      height: 800,
      label: 'ratio 9/16 (450px / 800px)'
    },
  ]}
  maxFiles={5}
  multiple
  autoUpload
/>

```
