import React from 'react';
import renderer from 'react-test-renderer'; // eslint-disable-line import/no-extraneous-dependencies

import MainFooter from './index';

test('MainFooter renders correctly', () => {
  const tree = renderer.create(
    <div>
      <MainFooter>
        <MainFooter.Item href="#">Coverage</MainFooter.Item>
        <MainFooter.Item href="#">Technology</MainFooter.Item>
        <MainFooter.Item href="#">Solutions</MainFooter.Item>
        <MainFooter.Item href="#" bold>Developers</MainFooter.Item>
        <MainFooter.Item href="#" bold>Partners</MainFooter.Item>
      </MainFooter>
      <MainFooter secondary>
        <MainFooter.Item href="#">Contact</MainFooter.Item>
        <MainFooter.Item href="#">Legal</MainFooter.Item>
        <MainFooter.Item href="#">Privacy police</MainFooter.Item>
        <MainFooter.Item href="#">Terms and conditions</MainFooter.Item>
      </MainFooter>
    </div>
  ).toJSON();
  expect(tree).toMatchSnapshot();
});
