import React from 'react';
import PropTypes from 'prop-types';

import './fake.scss';

const propTypes = {
  /** @ignore */
  className: PropTypes.string
};

const defaultProps = {
  className: undefined
};

const ModalFake = ({ className, ...rest }) => (
  <div className={className} styleName="modal-fake" {...rest} />
);

ModalFake.propTypes = propTypes;
ModalFake.defaultProps = defaultProps;

export default ModalFake;
