import React from 'react';
import PropTypes from 'prop-types';

import './nav-item-separation.scss';

const NavItemSeparation = ({ className, ...props }) => (
  <div className={className} styleName="base" {...props} />
);

NavItemSeparation.propTypes = {
  /** @ignore */
  className: PropTypes.string
};

NavItemSeparation.defaultProps = {
  className: undefined
};

export default NavItemSeparation;
