```
const { BurgerButton, Item, SubMenu } = SideMenu;
<div style={{position:"relative", display:"flex",flexDirection:"column",width:"60%", height:"4rem"}}>

  <SideMenu
    side="right"
    size="lg"
    collapsible="xs sm md lg xl"
    variant="dark"
    burgerButtonStyle={{ position: 'fixed', top: '0', left: '0' }}
  >
    {(props) => (
      <React.Fragment>
        <Item {...props} separation="both">I have top and bottom separation</Item>
        <Item {...props} onClick={()=>{alert('coucou')}}>I say coucou toto</Item>
        <Item {...props} preventsMenuClose>I don't close the menu</Item>

        <SubMenu
          separation="bottom"
          title={
            <Item {...props} componentWrapper="div">
              I have subitems and bottom separation
            </Item>
          }
        >
          <Item {...props} onClick={()=>{alert('hello')}}>I say hello</Item>
          <Item {...props}>I don't do anything</Item>
          <SubMenu
            title={
              <Item {...props} componentWrapper="div" component="a" href="https://www.sigfox.com" target="_blank" >
                I have subitems and I open sigfox.com
              </Item>
            }
          >
            <Item {...props} onClick={()=>{alert('no closing the menu')}} preventsMenuClose>I say no closing the menu and I prevent the menu from closing</Item>
            <Item {...props}
              component={(props) => (<a {...props} className={`${props.className} active`} />)}
              href="http://localhost:6060/#!/SideMenu"
            >I'm active with className</Item>
            <Item {...props}><TextIcon size="sm" name="sigfox">I have an Icon</TextIcon></Item>
            <Item {...props}>I don't do anything</Item>
          </SubMenu>
        </SubMenu>
        <Item {...props} onClick={()=>{alert('hello')}} disabled>I don't say hello</Item>
        <Item {...props} disabled><a href="http://localhost:6060/#!/SideMenu">I don't load this page</a></Item>

        <Item {...props} separation="top" bottom>I go to the bottom with top separation</Item>
        <Item {...props} active>I'm active with props</Item>
      </React.Fragment>
    )}
  </SideMenu>
</div>
```
