```
  <div>
  <TextArea
    label="Details"
    value={state.value}
    onChange={e => setState({value: e.target.value})}
    mandatory
  />
  <p>Redux form 6</p>
  <TextArea
    label="Details with max length"
    input={{
      value: state.value2,
      onChange: e => setState({value2: e.target.value})
    }}
    maxLength={150}
    mandatory
    meta={{
     error: 'error',
     touched: true
    }}
  />
  <TextArea
    label="Details with checkable variant"
    value={state.value3}
    variant="checkable"
    onChange={e => setState({value3: e.target.value})}
    mandatory
  />
  <TextArea
    label="Details with error and checkable variant"
    value={state.value4}
    error="Empty"
    variant="checkable"
    onChange={e => setState({value4: e.target.value})}
    mandatory
  />
  <TextArea
    label="Details with getError and checkable variant"
    value={state.value5}
    variant="checkable"
    onChange={e => setState({value5: e.target.value})}
    getError={props => (!props.value)}
  />
  </div>
 ```
