import React from 'react';
import renderer from 'react-test-renderer'; // eslint-disable-line import/no-extraneous-dependencies

import Title from './index';

test('Title renders correctly', () => {
  const tree = renderer.create(
    <div>
      <Title>Title level 1</Title>
      <Title level={2} component="span">Title level 2</Title>
      <Title level={3}>Title level 3</Title>
      <Title level={1} variant="dash-lagoon">Title level 1</Title>
      <Title level={2} variant="dash-lagoon">Title level 2</Title>
      <Title level={3} variant="dash-lagoon">Title level 3</Title>
    </div>
  ).toJSON();
  expect(tree).toMatchSnapshot();
});
